import { OnInit, DoCheck, ElementRef, AfterViewInit } from '@angular/core';
import { CfCoreGalleryPreviewComponent } from './cf-core-gallery-preview.component';
import { CfCoreGalleryOptions } from './cf-core-gallery-options.model';
import { CfCoreGalleryImage } from './cf-core-gallery-image.model';
export declare class CfCoreGalleryComponent implements OnInit, DoCheck, AfterViewInit {
    private myElement;
    options: CfCoreGalleryOptions;
    images: CfCoreGalleryImage[];
    smallImages: string[];
    mediumImages: string[];
    bigImages: string[];
    descriptions: string[];
    oldImages: CfCoreGalleryImage[];
    oldImagesLength: number;
    selectedIndex: number;
    previewEnabled: boolean;
    currentOptions: CfCoreGalleryOptions;
    private breakpoint;
    private prevBreakpoint;
    private fullWidthTimeout;
    preview: CfCoreGalleryPreviewComponent;
    width: string;
    height: string;
    left: string;
    constructor(myElement: ElementRef);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngAfterViewInit(): void;
    onResize(): void;
    getImageHeight(): string;
    getThumbnailsHeight(): string;
    getThumbnailsMargin(): string;
    openPreview(index: number): void;
    onClosePreview(): void;
    select(index: number): void;
    private checkFullWidth();
    private setImages();
    private setBreakpoint();
    private sortOptions();
    private setOptions();
    private combineOptions(first, second);
}
